Subject: Re: [yaco-community-tool] Beta testing of upcoming draft tracking service

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 05 Dec 2011 13:15:06 +0100

Hi Jim,

On 2011-12-04 23:07 Jim Schaad said:
> Can we do draft submissions followed by working group acceptance of a
> document?

You should be able to, although I've not tested doing draft submissions
against the beta server.  If anything, there might be a problem with
missing draft repository directories, but we can fix that if there is
a problem.

Best regards,

	Henrik

>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On
>> Behalf Of Henrik Levkowetz
>> Sent: Friday, December 02, 2011 10:25 AM
>> To: WG Chairs
>> Subject: Re: Beta testing of upcoming draft tracking service
>>
>> Hi again,
>>
>> One more point related to this:  When you create a test login, please use
> a
>> throwaway password, not something you'd not care for people seeing.
>>
>> The reason is that although no passwords are stored in database or apache
>> login digest file, passwords will be visible if something goes wrong when
> you
>> set up your account and a crash log including stack dump is created.
>>
>>
>> Best regards,
>>
>> 	Henrik
>>
>> On 2011-12-02 14:28 Henrik Levkowetz said the following:
>>> Hi,
>>>
>>> Introduction
>>> ------------
>>>
>>> We now have an implementation of RFC 6293
>>> (http://tools.ietf.org/html/rfc6293)
>>> "Requirements for Internet-Draft Tracking by the IETF Community in the
>>> Datatracker" ready for some testing.
>>>
>>> It would be much appreciated if you would assist in testing this.
>>>
>>> If you go to http://beta.community.yaco.es/ you'll see a pretty
>>> ordinary datatracker first page; in order to test the new
>>> functionality you'll need to get and use a test login.
>>>
>>> Account Setup
>>> -------------
>>>
>>> You acquire a test login by clicking on the 'New Account' link at the
>>> top of the lefthand menubar, and then follow the 'Request an account'
> link.
>>> Fill in the email address you want to use, and you'll be sent an email
>>> with further instructions.  Once you've completed those, you'll have
>>> an account on the beta server which you can use to test the draft
> tracking
>> service.
>>>
>>> Setting up documents to track
>>> -----------------------------
>>>
>>> Use your account to log in.  You will now see a new link in the
>>> lefthand menubar, under "Community ID lists": "Personal list".  Click
>>> this, and you'll be taken to a page with 5 tabs, where you can set up
>>> the rules for drafts you want to follow, and see the generated status
>>> page which lists all the drafts you've chosen.
>>>
>>> So far, so good -- it would be appreciated if you would test this out,
>>> and send feedback to the [email-masked] mailing list
>>> about what you find.
>>>
>>> Triggering notifications
>>> ------------------------
>>>
>>> There is one part of the functionality which is complete, but will
>>> require manual work by the testers in order to manifest:  Normally,
>>> email notifications about changes to the documents you have set up for
>>> tracking will be sent out as soon as an AD, Chair, or someone from the
>>> secretariat goes in and changes status for a document.  As this isn't
>>> happening on the beta server, it is required that you as a tester go
>>> in and make changes in order to see change notifications coming.
>>>
>>> The developer has set up a particular user which has been given
>>> authority to change the state of any draft in any stream:
>>> 'stream_user' with password 'stream_user'.  Please use this to go in
>>> and change the state of documents you have set up tracking for, in order
> to
>> exercise the notification feature.
>>>
>>> We are aware that this is less than ideal, but we don't currently have
>>> any way to trigger changes in the beta server based on actions taken
>>> in the production server.
>>>
>>> Questions, feedback
>>> -------------------
>>>
>>> As mentioned earlier, please send questions and feedback to the
>>> mailing list set up for the project: [email-masked].
>>>
>>>
>>> Best regards,
>>>
>>> 	Henrik
>>>
> 
> 
>

---

From: Robert Sparks <[email-masked]>
Date: Fri, 2 Dec 2011 10:43:36 -0600

I attempted to create an account - I got a django/python IntegrityError upon setting the initial password.
(Duplicate Key Entry).

RjS

On Dec 2, 2011, at 7:28 AM, Henrik Levkowetz wrote:

> Hi,
> 
> Introduction
> ------------
> 
> We now have an implementation of RFC 6293 (http://tools.ietf.org/html/rfc6293)
> If you go to http://beta.community.yaco.es/ you'll see a pretty ordinary
> datatracker first page; in order to test the new functionality you'll need
> to get and use a test login.
> 
> Account Setup
> -------------
> 
> You acquire a test login by clicking on the 'New Account' link at the top
> of the lefthand menubar, and then follow the 'Request an account' link.
> Fill in the email address you want to use, and you'll be sent an email with
> further instructions.  Once you've completed those, you'll have an account
> on the beta server which you can use to test the draft tracking service.
> 
> Use your account to log in.  You will now see a new link in the lefthand
> menubar, under "Community ID lists": "Personal list".  Click this, and
> you'll be taken to a page with 5 tabs, where you can set up the rules
> for drafts you want to follow, and see the generated status page which
> lists all the drafts you've chosen.
> 
> So far, so good -- it would be appreciated if you would test this out, and
> send feedback to the [email-masked] mailing list about what
> you find.
> 
> Triggering notifications
> ------------------------
> 
> There is one part of the functionality which is complete, but will require
> manual work by the testers in order to manifest:  Normally, email
> notifications about changes to the documents you have set up for tracking
> will be sent out as soon as an AD, Chair, or someone from the secretariat
> goes in and changes status for a document.  As this isn't happening on the
> beta server, it is required that you as a tester go in and make changes in
> order to see change notifications coming.
> 
> The developer has set up a particular user which has been given authority
> to change the state of any draft in any stream: 'stream_user' with password
> 'stream_user'.  Please use this to go in and change the state of documents
> you have set up tracking for, in order to exercise the notification feature.
> 
> We are aware that this is less than ideal, but we don't currently have any
> way to trigger changes in the beta server based on actions taken in the
> production server.
> 
> Questions, feedback
> -------------------
> 
> As mentioned earlier, please send questions and feedback to the mailing
> list set up for the project: [email-masked].
> 
> 
> Best regards,
> 
> 	Henrik
>